# $Revision: 1.30 $, $Date: 2007-11-01 18:50:53 $
Summary:	Python implementation in Java
Summary(pl.UTF-8):	Implementacja języka Python w Javie
Name:		jython
Version:	2.2.1
Release:	1
License:	BSD
Group:		Development/Languages/Java
Source0:	http://dl.sourceforge.net/jython/%{name}_installer-%{version}.jar
# Source0-md5:	774543534bef2d68247953882237d448
URL:		http://www.jython.org/
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Requires:	jre
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python implementation in Java.

%description -l pl.UTF-8
Implementacja języka Python w Javie.

%package doc
Summary:	Manual for %{name}
Summary(pl.UTF-8):	Podręcznik dla pakietu %{name}
Group:		Development/Languages/Java

%description doc
Documentation for %{name}.

%description doc -l it.UTF-8
Documentazione di %{name}.

%description doc -l fr.UTF-8
Documentation pour %{name}.

%description doc -l pl.UTF-8
Dokumentacja dla pakietu %{name}.

%package javadoc
Summary:	API documentation for Jython
Summary(pl.UTF-8):	Dokumentacja API Jythona
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
JavaDoc-generated API documentation for Jython.

%description javadoc -l pl.UTF-8
Dokumentacja API Jythona, wygenerowana przez JavaDoc.

%package modules
Summary:	Python modules for Jython
Summary(pl.UTF-8):	Moduły Pythona dla Jythona
Group:		Development/Languages/Java
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description modules
Python modules for Jython.

%description modules -l pl.UTF-8
Moduły Pythona dla Jythona.

%package tools
Summary:	Jython tools
Summary(pl.UTF-8):	Narzędzia Jythona
Group:		Development/Languages/Java
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}

%description tools
Jython tools.

%description tools -l pl.UTF-8
Narzędzia Jythona.

%package examples
Summary:	Jython examples
Summary(pl.UTF-8):	Przykłady użycia Jythona
Group:		Development/Languages/Java

%description examples
Jython examples (Demo).

%description examples -l pl.UTF-8
Przykłady użycia Jythona.

%prep
%setup -q -c -T
install %{SOURCE0} .

%build
unset CLASSPATH || :
unset JAVA_HOME || :
export JAVA_HOME="%{java_home}"

%java -jar jython_installer-%{version}.jar --silent --directory installed/ --type all

ln -s %{_javadocdir}/%{name}-%{version} javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version},/var/cache/%{name}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_examplesdir}/%{name}-%{version},%{_datadir}/%{name}}

cd installed

install %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

cp -a Doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a Lib Tools $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a Demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
ln -sf /var/cache/%{name} $RPM_BUILD_ROOT%{_datadir}/%{name}/cachedir

unset CLASSPATH || :
export JAVA_HOME="%{java_home}"

%java -Dpython.home=. -classpath jython.jar "org.python.util.jython" -c "import compileall; compileall.compile_dir(\"$RPM_BUILD_ROOT%{_datadir}/%{name}/Lib\", ddir=\"$RPM_BUILD_ROOT\")"

cat >$RPM_BUILD_ROOT%{_bindir}/%{name} <<'EOF'
#/bin/sh

. %{_javadir}-utils/java-functions
set_javacmd

exec $JAVACMD -Dpython.home="%{_datadir}/%{name}" -classpath "%{_javadir}/%{name}-%{version}.jar:$CLASSPATH" "org.python.util.jython" "$@"
EOF

cat >$RPM_BUILD_ROOT%{_bindir}/jythonc <<'EOF'
#/bin/sh

exec %{_bindir}/%{name} "%{_datadir}/%{name}/Tools/jythonc/jythonc.py" "$@"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
# rebuild cache
umask 022
%{_bindir}/%{name} -c "import site"

%post modules
# rebuild cache
umask 022
%{_bindir}/%{name} -c "import site"

%preun
if [ "$1" = "0" ]; then
	rm -rf /var/cache/%{name}/*
fi

%files
%defattr(644,root,root,755)
%doc installed/{ACKNOWLEDGMENTS,README.txt,NEWS,LICENSE.txt}
%attr(755,root,root) %{_bindir}/%{name}
%{_javadir}/*.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/cachedir
/var/cache/%{name}
%dir %{_datadir}/%{name}/Lib
%{_datadir}/%{name}/Lib/UserDict.py
%{_datadir}/%{name}/Lib/UserDict$py.class
%{_datadir}/%{name}/Lib/javaos.py
%{_datadir}/%{name}/Lib/javaos$py.class
%{_datadir}/%{name}/Lib/javapath.py
%{_datadir}/%{name}/Lib/javapath$py.class
%{_datadir}/%{name}/Lib/site.py
%{_datadir}/%{name}/Lib/site$py.class
%{_datadir}/%{name}/Lib/stat.py
%{_datadir}/%{name}/Lib/stat$py.class
%{_datadir}/%{name}/Lib/string.py
%{_datadir}/%{name}/Lib/string$py.class

%files modules
%defattr(644,root,root,755)
%{_datadir}/%{name}/Lib/*
%exclude %{_datadir}/%{name}/Lib/UserDict.py
%exclude %{_datadir}/%{name}/Lib/UserDict$py.class
%exclude %{_datadir}/%{name}/Lib/javaos.py
%exclude %{_datadir}/%{name}/Lib/javaos$py.class
%exclude %{_datadir}/%{name}/Lib/javapath.py
%exclude %{_datadir}/%{name}/Lib/javapath$py.class
%exclude %{_datadir}/%{name}/Lib/site.py
%exclude %{_datadir}/%{name}/Lib/site$py.class
%exclude %{_datadir}/%{name}/Lib/stat.py
%exclude %{_datadir}/%{name}/Lib/stat$py.class
%exclude %{_datadir}/%{name}/Lib/string.py
%exclude %{_datadir}/%{name}/Lib/string$py.class

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jythonc
%{_datadir}/%{name}/Tools

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files doc
%defattr(644,root,root,755)
%doc installed/Doc/*.html installed/Doc/images javadoc

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jython.spec,v $
Revision 1.30  2007-11-01 18:50:53  qboosh
- updated to 2.2.1
- moved modules required by site.py to main package
- package precompiled modules to avoid writing to /usr/share at runtime
- set umask before rebuilding cache

Revision 1.29  2007/09/19 15:20:48  baggins
- really up to 2.2

Revision 1.28  2007/09/19 15:04:55  baggins
- up to 2.2

Revision 1.27  2007/03/01 08:59:32  glen
- use %java

Revision 1.26  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.24  2006/12/08 01:25:06  glen
- -javadoc R: jpackage-utils for parent dirs; rel 7

Revision 1.23  2006/10/22 13:59:24  sls
- moved directory /usr/share/jython/Lib from jython-modules to jython

Revision 1.22  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.21  2006/05/24 13:53:30  jajcus
- BR: jpackage-utils

Revision 1.20  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.19  2006/05/23 17:41:43  qboosh
- completed pl

Revision 1.18  2006/05/21 20:24:29  glen
- use rpm-javaprov

Revision 1.17  2006/05/21 18:01:35  glen
- missing defattr
- use non-expanding heredoc
- subshell less in wrappers

Revision 1.16  2006/05/21 17:46:10  jajcus
- use jpackage-utils also on runtime (to get right JVM)

Revision 1.15  2006/05/21 17:37:30  glen
- drop unneccessary unset JAVA_HOME

Revision 1.14  2006/05/21 17:15:46  jajcus
- Release: 6
- user jpackage-utils for Java paths
- package all the documentation, modules and the executable (now it is usefull at all)

Revision 1.13  2003/07/02 12:04:32  pascalek
- Release 5; now it builds

Revision 1.12  2003/05/28 12:59:16  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:49:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.9  2002/11/27 21:10:39  juandon
- new %doc

Revision 1.8  2002/04/25 16:40:09  arturs
- fixed a small typo

Revision 1.7  2002/04/23 15:52:14  arturs
- License field change

Revision 1.6  2002/04/07 08:14:28  filon
- changes in docs
- release 3

Revision 1.5  2002/03/13 18:04:59  aflinta
- corrected JAVA_HOME to proper directory
- release 2

Revision 1.4  2002/02/23 02:59:09  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/30 19:11:36  wrobell
- install sources into current directory

Revision 1.1  2002/01/30 19:05:05  wrobell
- based on batik.spec
